libgdata (0.18.1-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:33 +0200

libgdata (0.18.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 10:16:32 +0100

libgdata (0.18.0-1) experimental; urgency=medium

  * New upstream release
  * Updated the symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Thu, 25 Feb 2021 16:28:03 +0100

libgdata (0.17.13-3) unstable; urgency=medium

  * debian/control.in: Add several -doc packages to the BDI to fix links
    between documentation files.  Also mark the libgdata-doc with
    Build-Profiles: <!nodoc>
  * debian/rules: Only build the GTK doc if we are building libgdata-doc

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Jan 2021 18:24:26 +0100

libgdata (0.17.13-2) unstable; urgency=medium

  * debian/control.in: Rename libuhttpmock-dev BD to libuhttpmock-0.0-dev
    (Closes: #948105)
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/control.in: Fix the dependencies of the libgdata-tests package

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Jan 2021 17:23:53 +0100

libgdata (0.17.13-1) unstable; urgency=medium

  * New upstream release
  * Update configure flags to keep building docs & installed tests
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Don't ignore failing tests.
    - Build tests weren't being run after switch to meson. This wasn't noticed
      immediately because test failures were ignored.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 29 Sep 2020 19:26:01 -0400

libgdata (0.17.12-1) unstable; urgency=medium

  * New upstream release:
    - Make OAuth 1 support optional and disabled by default; this makes
      the `oauth` dependency optional on `-Doauth1=enabled`
    - Fix Authentication errors with Google Drive (lp: #1747646)
  * debian/control.in:
    - remove the build-depends on liboauth-dev
  * debian/tests/installed-tests:
    - unset the proxy environment, the squid.internal value isn't know by
      the uhttpmock resolver and making the tests fail

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2020 16:07:28 +0100

libgdata (0.17.11-3) unstable; urgency=medium

  * debian/tests:
    - use the new libgdata-tests binary to enable autopkgtest,
      that's in addition of the existing buildtest.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Sep 2019 13:17:08 +0200

libgdata (0.17.11-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/git_soname_version.patch,
    debian/patches/git_fix_gettext.patch,
    debian/patches/git_gnome_option.patch:
    - dropped, those changes are in the new version
  * debian/libgdata.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 15:31:20 +0200

libgdata (0.17.10-1) unstable; urgency=medium

  * New upstream version
    - Port to Meson and drop autotools suppor
  * debian/compat:
    - remove, it's not needed anymore
  * debian/libgdata-dev.install:
    - remove the .a entry, it's not built with meson
  * debian/control.in:
    - update to debhelper12
    - build-depends on gettext and meson, not on intltool
    - updated Standards-Version to 4.4.0.1
  * debian/gbp.conf:
    - updated the configuration, include dch in the import, sign tags
      and some other tweaks
  * debian/libgdata.symbols:
    - updated for the new version
  * debian/patches/git_soname_version.patch:
    - backport patch to fix the soname naming
  * debian/rules:
    - don't override dh_install anymore, meson don't build a .la

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:36:02 +0200

libgdata (0.17.9-3) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libgdata22.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 20:52:40 -0500

libgdata (0.17.9-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark libgdata-doc as Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:11:59 -0500

libgdata (0.17.9-1) unstable; urgency=medium

  * New upstream release
  * Bump build-dep on libglib2.0-dev to >= 2.44, libsoup2.4-dev to 2.56.0,
    and gtk-doc-tools to >= 1.25 according to configure.ac
  * debian/libgdata22.symbols: Add new symbols
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 16:25:12 -0400

libgdata (0.17.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dep on libglib2.0-dev to >= 2.38.0 according to configure.ac
  * Update debian/libgdata22.symbols with three new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 09:11:22 +0200

libgdata (0.17.6-2) unstable; urgency=medium

  * Make the test-suite non-fatal again for now. It needs more work still to
    pass on all architectures.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2016 01:29:29 +0200

libgdata (0.17.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.
  * Set XDG_RUNTIME_DIR to a temporary, writable location. With that the
    test-suite should pass, so make failures fatal.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 14:19:12 +0200

libgdata (0.17.5-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2016 15:58:20 +0200

libgdata (0.17.4-1) unstable; urgency=medium

  * New upstream release 0.17.4
    + Download stream data corruption fixes and fixes to content length
      calculation
    + Fix copying and deleting documents in Google Drive
    + Fix folder creation in Google Drive
    + Fix metadata-only uploads in Google Drive
    + Fix searching by title in Google Drive
    + Remove a couple of incorrect GIR annotations

 -- Iain Lane <laney@debian.org>  Mon, 14 Dec 2015 17:05:05 +0000

libgdata (0.17.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 16:50:17 +0200

libgdata (0.17.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Bump libuhttpmock-dev build-dep to >= 0.5.0 according to configure.ac
  * Update debian/libgdata22.symbols with 8 new symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Jul 2015 11:10:08 +0200

libgdata (0.17.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jun 2015 08:57:52 +0200

libgdata (0.17.1-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Output gdata/tests/test-suite.log on testsuite failures.

  [ Michael Biebl ]
  * Track odd-numbered releases in debian/watch as well as libgdata doesn't
    seem to follow the typical GNOME versioning scheme.
  * New upstream release. (Closes: #789134)
  * Bump soname from 19 → 22.
  * Update symbols file.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.
  * Drop obsolete Conflicts from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jun 2015 20:52:10 +0200

libgdata (0.16.1-1) unstable; urgency=medium

  * New upstream release 0.16.1
    + Add a --disable-tests configure option to build without uhttpmock
    + Remove downstream fix for ISO 8601 dates which was breaking Contacts
    + Various fixes for the Google Tasks service

 -- Iain Lane <laney@debian.org>  Tue, 11 Nov 2014 15:46:59 +0000

libgdata (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libgdata19.symbols with two additions.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 23:10:59 +0200

libgdata (0.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump libgdata-dev dependency on libgoa-1.0-dev to >= 3.8
    - as required by configure.ac
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 10 Aug 2014 23:58:28 +0200

libgdata (0.15.1-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * New upstream release
    - Add freebase symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Jul 2014 21:00:09 +0200

libgdata (0.15.0-3) unstable; urgency=medium

  * debian/control.in:
    + Let libgdata-dev depend on libjson-glib-dev as required by the
      pkg-config file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 21:41:35 +0200

libgdata (0.15.0-2) unstable; urgency=medium

  * Force build against the new goa.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 13:04:08 +0200

libgdata (0.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac
    - Bump libsoup to >= 2.42.0
    - Add libjson-glib-dev >= 0.15
    - Add libuhttpmock-dev
  * Update Homepage url
  * Rename package to match new SONAME (13->19)
  * Update debian/libgdata19.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 27 Mar 2014 16:25:57 +0100

libgdata (0.14.1-2) experimental; urgency=medium

  * Merge with unstable
  * Build against G3.10 gnome-online-accounts

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2014 11:19:18 +0000

libgdata (0.14.1-1) unstable; urgency=medium

  * New upstream release
    + Fix build with recent gnome-common versions
    + Fix build and installed header files for C++
    + Remove deprecated function calls
    + Fix compilation with -fstrict-aliasing
  * Don't build-depend or depend on libsoup-gnome any more; it's not required.

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2014 11:02:28 +0000

libgdata (0.14.0-2) experimental; urgency=low

  * Build against G3.10 gnome-online-accounts

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 22:58:47 +0100

libgdata (0.14.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * New upstream release.
  * Use dh-autoreconf --as-needed and drop 99_ltmain_as-needed.patch.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Aug 2013 13:26:23 +0200

libgdata (0.13.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 26 May 2013 00:38:43 +0200

libgdata (0.13.3-1) experimental; urgency=low

  [ Martin Pitt ]
  * debian/tests/compile:
    - Add -Wall -Werror for being more thorough.
    - Don't call deprecated g_type_init() when building with glib >= 2.35.

  [ Andreas Henriksson ]
  * New upstream release.
  * Enable vala api generation:
    - add valac build dependency to get vapigen
  * debian/patches/01_pc_depends.patch: dropped - applied upstream.
  * Update debian/libgdata13.symbols for newly added symbols.
  * Install vala vapi and deps files in libgdata-dev package.
  * Use "list-missing" in debian/rules
  * Bump libgoa-1.0-dev build-dependency to (>= 3.7.91)
    - needed for vapigen to succed

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Mar 2013 17:16:30 +0100

libgdata (0.13.2-2) experimental; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - add dh-autoreconf to Build-Depends.
    - add XS-Testsuite: autopkgtest
  * debian/rules: make sure we run autoreconf before building, so that
    01_pc_depends.patch gets properly applied.
  * debian/tests/control, debian/tests/compile: add a simple compile and run
    test to make sure we can successfully build against libgdata.

  [ Andreas Henriksson ]
  * Build-depend on gnome-common (>= 3.6.0)
    - autoreconf needs gnome-code-coverage.m4 to properly generate Makefiles.
  * Make libgdata-dev depend on packages needed by its pkg-config file:
    + libgcr-3-dev
    + libgoa-1.0-dev (>= 3.2)
    + liboauth-dev (>= 0.9.4)
    + libsoup-gnome2.4-dev (>= 2.37.91)


 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Dec 2012 20:28:56 +0100

libgdata (0.13.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/control: Update dependencies
  * debian/libgdata13.symbols:
    - Added new symbols
  * debian/patches/01_pc_depends.patch:
    - Remove unnecessary dependencies in pkg-config file (LP: #1060489)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 01:42:57 +0100

libgdata (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/99_ltmain_as-needed.patch.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop and
    bump Build-Depends on libgirepository1.0-dev to (>= 0.10.7-1~) instead.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 17:56:28 +0200

libgdata (0.11.1-1) experimental; urgency=low

  * New upstream development release.
  * Bump (Build-)Depends on libsoup(-gnome)2.4-dev to (>= 2.37.91).
  * Rewrite and simplify debian/copyright using the machine-readable copyright
    format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 00:16:33 +0100

libgdata (0.11.0-1) experimental; urgency=low

  * New upstream release.
  * debian/libgdata13.symbols: Add new symbols.
  * debian/control.in:
    - Bump (Build-)Depends on libglib2.0-dev to (>= 2.30.0).
    - Add Build-Depends on libgnome-keyring-dev.
    - Drop Build-Depends on gir1.2-soup-2.4, pulled by libsoup2.4-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Mar 2012 12:49:40 +0100

libgdata (0.10.2-1) unstable; urgency=high

  * New upstream release.
    - Correctly validate SSL certificates for all connections to prevent MitM
      attacks which use spoofed SSL certificates. Closes: #664032
      CVE-2012-1177
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 00:51:18 +0100

libgdata (0.10.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix short description for the gir package. Closes: #652463.
  * Also move to section introspection.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Mar 2012 12:14:15 +0100

libgdata (0.10.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Fri, 16 Dec 2011 19:19:43 +0100

libgdata (0.10.1-1) experimental; urgency=low

  [ Martin Pitt ]
  * 99_ltmain_as-needed.patch: Unfuzz, and convert to -p1.
  * Drop simple-patchsys.mk, move to "3.0 (quilt)" source format.
  * Add debian/libgdata11.symbols. Drop manual shlibs handling in
    debian/rules.
  * debian/rules: Run tests during build, but to not let failed tests fail the
    build for now. Let's first see how well this works on the buildds.
    (Closes: #546798)

  [ Jeremy Bicha ]
  * New upstream version
  * Bump debhelper compatibility to 8 and strip debian/tmp/ from install
    files
  * Bump soname and update symbols
  * debian/control.in:
    - Add liboauth as build-dep.
    - Bump Standards-Version to 3.9.2
  * debian/watch: Look for xz tarballs.

  [ Michael Biebl ]
  * debian/control.in:
    - Update Vcs-* fields to non-redirected URLs.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

  [ Sjoerd Simons ]
  * Upload to experimental

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Nov 2011 10:37:30 +0000

libgdata (0.8.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Fri, 19 Aug 2011 21:28:12 +0200

libgdata (0.8.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Add missing conflict with gir1.0-gdata-0.0.
  * Make the -dev package depend on the gir package.

  [ Sebastien Bacher ]
  * New upstream version

 -- Sebastien Bacher <seb128@debian.org>  Wed, 18 May 2011 17:30:18 +0200

libgdata (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Bump soname.
  * Update build-dependencies.
  * Re-introduce introspection package.
  * Fix the shlibs generation code.
  * Fix swapped maintainer/uploaders.

 -- Josselin Mouette <joss@debian.org>  Thu, 17 Mar 2011 00:45:38 +0100

libgdata (0.6.4-3) unstable; urgency=low

  * Remove gir1.0-gdata-0.0 to ease the gir1.2 transition.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Feb 2011 20:38:36 +0000

libgdata (0.6.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 May 2010 13:44:58 +0200

libgdata (0.6.4-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs because of new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Mar 2010 13:21:12 +0200

libgdata (0.6.3-2) experimental; urgency=low

  * debian/rules:
    + Call dh_girepository with the correct package name.
  * debian/control.in:
    + Add build dependencies for the libsoup/libxml GObject-Introspection packages.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 28 Mar 2010 17:55:09 +0200

libgdata (0.6.3-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in,
      debian/libgdata[67].install,
      debian/rules:
      - Update for new soname and API additions.
    + debian/control.in,
      debian/git1.0-gdata-0.0.install,
      debian/rules,
      debian/libgdata-dev.install:
      - Add GObject-Introspection package.
    + debian/control.in:
      - Update build dependencies.
    + debian/copyright:
      - Update copyright information.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 28 Mar 2010 14:10:22 +0200

libgdata (0.5.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Nov 2009 20:58:13 +0100

libgdata (0.5.0-1) unstable; urgency=low

  * New upstream release:
    + debian/rules,
      debian/control.in,
      debian/libgdata[56].install:
      - Update for the new soname.
    + debian/copyright:
      - Update copyright information.
  * debian/control.in:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 Sep 2009 15:57:16 +0200

libgdata (0.4.0-1) unstable; urgency=low

  * New upstream release:
    + debian/rules,
      debian/control.in,
      debian/libgdata[45].install:
      - Update for the new soname.
    + debian/copyright:
      - Update copyright information.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jul 2009 07:49:53 +0200

libgdata (0.3.0-2) unstable; urgency=low

  * debian/copyright:
    + Fix copyright.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Jul 2009 23:29:42 +0200

libgdata (0.3.0-1) unstable; urgency=low

  * Initial version (Closes: #531547).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Jul 2009 17:07:05 +0200

